﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ModelFirstMySQL
{
    /// <summary>
    /// Little example to run the database creation script from the EDM context object.
    /// The server must grant enough access to (uid=test, password=test, database=test).
    /// </summary>
    public class Program
    {
        public static void Test1()
        {
            using (var ctx = new EFModelContainer_MySQL()) {

                // Note: doesn't help with the ctx.Connection.Database problem:
                ctx.Connection.Open();

                string script = string.Format(
                    "CREATE DATABASE IF NOT EXISTS `{0}`;\nUSE `{0}`;\nDROP TABLE IF EXISTS `{1}`;\n{2}",

                    // Note: we are forced to put the name because ctx.Connection.Database is empty:
                    "test",

                    ctx.Users.EntitySet.Name,
                    ctx.CreateDatabaseScript()
                );
                Console.WriteLine("Database name: {0}", ctx.Connection.Database);
                Console.WriteLine(script);
                ctx.ExecuteStoreCommand(script);
            }
            Console.ReadKey();
        }

        public static void Main()
        {
            Test1();
        }
    }
}
